> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/configuration-ap-is/admin/get-a-link-to-the-job-log-raw-request-and-response-data-of-a-write-job/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Get a link to the job log raw request and response data of a write job. GET https://api.propexo.com/v1/admin/job-logs/{job_log_id}/data Get a link to the job log raw request and response data of a write job. Only POST and PUT job payloads can be viewed. This endpoint will return a 302 status code with a `Location` header that can be followed to download the raw request and response data. Some HTTP clients (including some older versions of cURL) will carry the `Authentication` header when the redirect is followed. This will cause an error conflicting with the authentication in the presigned URL being returned by this endpoint. If you see this error, you will need to make sure your HTTP client isn't passing `Authentication` headers on redirect. If you're using cURL, use the `-L` flag. For other HTTP client, consult their documentation. Reference: https://docs.propexo.com/api-reference/configuration-ap-is/admin/get-a-link-to-the-job-log-raw-request-and-response-data-of-a-write-job ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Path parameters - `job_log_id` (string, required) — The ID of the job log. ## Response ### 200 Successful response ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ## Examples **Request** ```json {} ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/admin/job-logs/a3f47b9e-8c2d-4f1a-9b7e-2d5f3c6a1e4b/data" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/admin/job-logs/a3f47b9e-8c2d-4f1a-9b7e-2d5f3c6a1e4b/data'; const options = { method: 'GET', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/admin/job-logs/a3f47b9e-8c2d-4f1a-9b7e-2d5f3c6a1e4b/data" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/admin/job-logs/a3f47b9e-8c2d-4f1a-9b7e-2d5f3c6a1e4b/data") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.propexo.com/v1/admin/job-logs/a3f47b9e-8c2d-4f1a-9b7e-2d5f3c6a1e4b/data") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.propexo.com/v1/admin/job-logs/a3f47b9e-8c2d-4f1a-9b7e-2d5f3c6a1e4b/data', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/admin/job-logs/a3f47b9e-8c2d-4f1a-9b7e-2d5f3c6a1e4b/data"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/admin/job-logs/a3f47b9e-8c2d-4f1a-9b7e-2d5f3c6a1e4b/data")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```